Bug 114615 - su - use a different path than login
Summary: su - use a different path than login
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: coreutils (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks: 158741
TreeView+ depends on / blocked
 
Reported: 2004-01-30 07:52 UTC by Thilo Müller
Modified: 2008-01-28 12:05 UTC (History)
3 users (show)

Fixed In Version: RHBA-2005-544
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-28 12:05:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Thilo Müller 2004-01-30 07:52:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.4) Gecko/20030922

Description of problem:
When logging in in RHEL3 the PATH variable holds:
/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/X11R6/bin:/root/bin
When issuing 'su -' the PATH variable holds:
/usr/kerberos/sbin:/usr/kerberos/bin:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:/usr/bin/X11:/usr/X11R6/bin:/root/bin

Both should be the same.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Log in as root
2.echo $PATH
3.su -
4.echo $PATH
    

Actual Results:  The first PATH shows:
/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/X11R6/bin:/root/bin
The second PATH shows:
/usr/kerberos/sbin:/usr/kerberos/bin:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:/usr/bin/X11:/usr/X11R6/bin:/root/bin


Expected Results:  Both should use the same PATH variable.

Additional info:

Comment 1 Tim Waugh 2004-01-30 09:57:44 UTC
'When logging in in RHEL3' -- do you mean using the graphical login
and starting a terminal, or logging in on a text console (VT1, for
instance)?

Comment 2 Ralf Spenneberg 2004-01-30 21:15:45 UTC
Either of them. Using the graphical login and starting a terminal in
gnome and logging in on a text console gives the same behavior.

Ralf

Comment 3 Tim Waugh 2004-02-04 16:43:54 UTC
This problem was identified and fixed in coreutils-5.0-20, and will be
in any subsequent updates to coreutils for Red Hat Enterprise 3.

Comment 5 Ondrej Vasik 2008-01-28 12:05:45 UTC
Closing that forgotten modified bugzilla as ERRATA RHBA-2005:544 - duplicate bug
#158741 was fixed in that update. Feel free to reopen this bug report if the
solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-544.html



Note You need to log in before you can comment on or make changes to this bug.